Last modified: 2014-02-12 23:53:24 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38261 - Incorrect license cited for Wikinews
Incorrect license cited for Wikinews
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
stable (Other open bugs)
unspecified
All All
: Low normal
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-07-09 11:10 UTC by Brian McNeil
Modified: 2014-02-12 23:53 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: Android
Assignee Huggle Beta Tester: ---


Attachments

Description Brian McNeil 2012-07-09 11:10:05 UTC
As-highlighted by one of our readers[1], the mobile app - at least on Android - is stating the wrong license under which content from Wikinews is licensed.

At least on English Wikinews, and likely on other languages, current content is under CC-BY-2.5. "Legacy" content is PD.

The project's copyright message displays the correct details, so I'm wondering why the mobile version doesn't use it.


[1] https://en.wikinews.org/wiki/File:Screenshot_Android_WN_mobile.png
Comment 1 matanya 2012-07-09 12:05:05 UTC
It is OK on the site: http://en.m.wikinews.org/#section_footer

so clearly something from the app itself.
Comment 2 Arthur Richards 2012-07-09 21:57:45 UTC
To clarify, this is an issue with the mobile version of Wikinews, NOT a mobile app. We do not maintain a mobile app for Wikinews.

Matanya, the link you provided actually displays the issue, which is incorrect licensing information for Wikinews.

At the moment, MobileFrontend (the software that powers the mobile version of the sites), uses a MediaWiki message to provide the license text displayed in the footer. This means that at the moment, the easiest way to resolve this issue would be to edit the message on the site itself - this would need to be done on each Wikinews (or other) affected site. The message in question is 'mobile-frontend-footer-license', and for English Wikinews, can be edited here:
http://en.wikinews.org/wiki/MediaWiki:Mobile-frontend-footer-license

The alternative would be to make code-level changes that allow us to configure a license to use on a per-site basis. However, handling translations of unique license-related text displayed would be more complicated. I suggest changing the text on a per-site basis (per the previous paragraph) while we consider alternative fixes to make licensing more configurable.
Comment 3 Arthur Richards 2012-07-09 22:00:37 UTC
Updated product/component for this bug to the MobileFrontend extension.
Comment 4 Platonides 2012-07-09 22:15:27 UTC
Why do you need a message different than MediaWiki:Copyright ?
You could override it with Mobile-frontend-footer-license if it's there, but the default could simply be MediaWiki:Copyright, avoiding this issues.

Moreover, as you're creating a new message, why did you make it html??
Comment 5 Brian McNeil 2012-07-09 22:18:57 UTC
I have edited/created https://en.wikinews.org/wiki/MediaWiki:Mobile-frontend-footer-license (have to ask why people keep posting http:// links, I've been pondering getting them in 'watchlisted page has changed' emails as a "bug" needing resolved).

Per-site is a perfectly reasonable solution Arthur, but someone needs to highlight to the sites that if they use a non-default license of X, they have to set the message up.

I've no way of checking what I put in displays nicely, which is irksome. But, this is a real piece of arcana that most people wouldn't notice.
Comment 6 Platonides 2012-07-09 22:22:16 UTC
I wouldn't consider showing the site *by default* under a different license as a 'perfectly reasonable solution'.,. Sigh, at least CC-BY is compatible with CC-BY-SA, it could be worse.
Comment 7 Brian McNeil 2012-07-09 22:23:00 UTC
Platonides, we need a different message BECAUSE WE DON'T USE THE ASSUMED LICENSE.

Isn't that what I said in filing the bug?

I apologise for shouting, but this seems so silly. We've not gone through the hassle of a license vote, and it would not apply to old content (some of which is PD). I think, if people will take this as the flippant comment it's meant to be, ...

"Breaking News! The WikiMedia Foundation is more than just Wikipedia".

... Then maybe these sort of blunders wouldn't happen.
Comment 8 Platonides 2012-07-09 22:25:00 UTC
Brian, it wasn't directed to wikinewsies, but to mobile frontend.
THEY are showing wikinews by default (unless you change a hidden message) as being under a different license than the one it is.
Comment 9 Brian McNeil 2012-07-09 22:37:00 UTC
Sorry,

It's good that there's the flexibility to set the message. But people need to know about it. I've left a message for the user who reported it (and thus has a device to check with) that - as an admin - he can fix it properly.

If anything comes out of the bug, some emails or notices on alert/water cooler pages will probably sort the whole thing out.

I recently declined a request from a well-meaning individual to change enWN over to the CC-BY logo in one of the fifty shades of grey they use; and, part of my reasoning is that we're not on the latest license.

You mention that the HTML I've chucked in there isn't looking too good (at least, I assume that from the remarks). Whilst waiting on Diego taking a look, I'll happily replace it with something that does cite the correct license.
Comment 10 Platonides 2012-07-09 22:52:59 UTC
It's not about your HTML (it looks good) but that messages which output html are deprecated in mediawiki, so the mobile frontend shouldn't be creating new ones without a good rationale.
Comment 11 Brian McNeil 2012-07-09 23:19:30 UTC
Well, on that basis I think the bug can possibly be closed.

A little research will likely establish if enWN is the only "red-headed" project with a weird license. If not, the others can be notified.

Worst-case, the devs 'spam' all the noticeboards/water coolers with a message about the new MediaWiki message for copyright.

Our "Full Copyright Caution" on Wikinews is a little weird. The text? Have at it, mention where it came from and you're safe - 'gracious', even, if you do it with the old PD stuff. Pics? We're up-front about the "There Be Dragons" aspect of it.

I'd an argument with someone who wanted to be lovey-dovey-wishy-washy over our copying rules. But, they're as I drafted them; a form which dev's who've read enough old-school RFCs will recognise:

https://en.wikinews.org/wiki/Wikinews:Reusing_Wikinews_content

Developers who have dealt with software copyright and licensing are part of the very small subset who'll see the disclaimer is written to be humorous.
Comment 12 Platonides 2012-07-09 23:32:27 UTC
Other (all?) wikinews are also affected.

Brian, it looks serious, not humorous. Also, it stands a bit that it says "consult a lawyer" and not "consult *your* lawyer", or if you prefer to be humorous "pay a lawyer to be yours" :)
Comment 13 Brian McNeil 2012-07-09 23:46:44 UTC
Well, if it impacts all Wikinews language editions, then a 'hit' on appropriate [[n:WN:WC]] pages will see it sorted.

"pay a lawyer to be yours" could be misconstrued as soliciting for employment of Wikinewsies who might be lawyers. We're digressing into arcana there, which largely relates to the 'genius' definitions of 'must', 'should', and their negatives, which were laid down by Jon Postel. If you treat it like a "verbal flowchart" it is incredibly easy to follow.

That's what is important. If you point a lawyer at it, it is unambiguous and clearly defines the areas where doubt and uncertainty may exist. I've had a couple of lawyers who deal with online stuff look at that page; their response was along the lines of "if every site laid stuff out so clearly, we'd be out of work".
Comment 14 Amgine 2012-07-10 00:41:22 UTC
"where doubt and uncertainty must exist."

But Platonides is correct, this is a two-fold bug. It should not have defaults which might not be true. It should not introduce raw html. I believe it violates at least one of the tenets of the MW Security guidelines in doing so.
Comment 15 Phil Chang 2012-07-12 20:47:26 UTC
I updated the relevant pages manually for all languages except the following, which were locked:

nl
th
hu
sd

by going to:

http://nl.wikinews.org/wiki/MediaWiki:Mobile-frontend-footer-license

and replacing the href with:

<a href="//creativecommons.org/licenses/by/2.5/">CC-BY-2.5</a>

Finally, sq had no such page and I created one.

Hopefully Philippe will finish the remaining pages.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links